Summary:	Tool to create isolated Python environments
Summary(pl.UTF-8):	Narzędzie do tworzenia oddzielonych środowisk Pythona
Name:		python-virtualenv
Version:	1.11.6
Release:	1
License:	MIT
Group:		Development/Languages
Source0:	https://pypi.python.org/packages/source/v/virtualenv/virtualenv-%{version}.tar.gz
# Source0-md5:	f61cdd983d2c4e6aeabb70b1060d6f49
Source1:	https://raw.github.com/pypa/virtualenv/%{version}/bin/rebuild-script.py
# Source1-md5:	5925c9a7d8e8b101c76b9c6cfa9ff297
Source2:	unpack-support.py
Patch0:		virtualenv-pld.patch
Patch1:		virtualenv-rebuild-support.patch
URL:		https://pypi.python.org/pypi/virtualenv
BuildRequires:	python >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	rpm-pythonprov
Requires:	python-setuptools
# Blame binary-only python packages authors
# virtualenv wants *.py
Requires:	python-devel-src
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoprov	'pythonegg\\(setuptools\\)'

%description
virtualenv is a tool to create isolated Python environments.
virtualenv is a successor to workingenv, and an extension of
virtual-python. It is written by Ian Bicking, and sponsored by the
Open Planning Project. It is licensed under an MIT-style permissive
license.

%description -l pl.UTF-8
virtualenv to narzędzie do tworzenia oddzielonych środowisk Pythona.
Jest to następca workignenv i rozszerzenie virtual-pythona. Jest
tworzone przez Iana Bickinga i sponsorowane przez Open Planning
Project. Zostało wydane na liberalnej licencji w stylu MIT.

%prep
%setup -q -n virtualenv-%{version}
%{__install} -d bin
%{__install} -m 755 -p %{SOURCE1} bin/
%{__install} -m 755 -p %{SOURCE2} bin/
%patch1 -p1

%{__python} ./bin/unpack-support.py

%patch0 -p1

%{__python} ./bin/rebuild-script.py

%build
%{__python} setup.py build

cd docs
%{__make} text

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

# not needed
%{__rm} $RPM_BUILD_ROOT%{_bindir}/virtualenv-*.*
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/virtualenv_support/[ads]*.py{,[co]}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/_build/text/*.txt
%attr(755,root,root) %{_bindir}/virtualenv
%{py_sitescriptdir}/virtualenv-%{version}-py*.egg-info
%{py_sitescriptdir}/virtualenv.py*
%dir %{py_sitescriptdir}/virtualenv_support
%{py_sitescriptdir}/virtualenv_support/__init__.py*
%{py_sitescriptdir}/virtualenv_support/*.whl
%changelog
* Sun Oct 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-virtualenv.git;a=log;h=master

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 1a8858c
- updated to 1.11.6

* Mon Mar 31 2014 Jan Rękorajski <baggins@pld-linux.org> 4e12c71
- add all standard dynamic modules from lib-dynload to avoid more cherry-picking
- rel 3

* Mon Mar 17 2014 Jan Rękorajski <baggins@pld-linux.org> dd0c117
- added pyexpat
- rel 2

* Sat Mar 01 2014 Jakub Bogusz <qboosh@pld-linux.org> f5fa4dd
- updated to 1.11.4

* Sat Feb 08 2014 Jan Rękorajski <baggins@pld-linux.org> c8fd514
- updated to 1.11.2

* Thu Aug 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 19dbaea
- python >= 2.6 required

* Wed Aug 28 2013 Jan Rękorajski <baggins@pld-linux.org> a7ec8ce
- updated to 1.10.1
- fixed python3 support

* Thu May 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 35bcbb2
- rel 4; add multiprocessing, _multiprocessing, bz2 for xulrunner 21

* Thu May 09 2013 Jan Rękorajski <baggins@pld-linux.org> 6d4b2db
- don't provide setuptools egg
- rel 3

* Wed Apr 17 2013 Jan Rękorajski <baggins@pld-linux.org> b6f6fd1
- fix fuckup in new version of rebuild-script.py
- rel 2

* Fri Apr 05 2013 Jan Rękorajski <baggins@pld-linux.org> 9999949
- updated to 1.9.1

* Fri Apr 05 2013 Jan Rękorajski <baggins@pld-linux.org> 9b3fd3e
- add _ssl for HTTPSConnection to work

* Wed Feb 20 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 12c7b7e
- rel 2; simplejson also needed by xulrunner

* Fri Jan 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 9359c0b
- include parser module (required for xulrunner)

* Fri Jan 11 2013 Jakub Bogusz <qboosh@pld-linux.org> d91e081
- updated to 1.8.4
- updated pld patch
- pl

* Wed Aug 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0881e4b
- drop setuptools py files (baggins)

* Wed Aug 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e17b322
- up to 1.7.2; really package bundled setuptools

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> 0cc4fd2
- Package bundled setuptools
Release 3

* Thu Oct 27 2011 Jan Rękorajski <baggins@pld-linux.org> f4283e1
- rel 2
- export some more modules

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 771697b
- rel 1
- -no-site-packages fixed by Łukasz Szczęsny <luk/at/mimuw.edu.pl>

